Package pyxmpp :: Module interfaces :: Class IFeaturesProvider

[hide private]

# Class IFeaturesProvider

source code

    zope.interface.Interface --+
                               |
                   IPyXMPPHelper --+
                                   |
                                  IFeaturesProvider

Instance Methods | [hide private]

get_features() Return iterable of namespaces (features) supported, for disco#info query response. | source code

Class Variables | [hide private]

| _InterfaceClass__attrs = ``{``'``get_features``'``:` <zope.interface.inte`...``
| __bases__ = ``(`<InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>`)``
| __identifier__ = ``'``pyxmpp.interfaces.IFeaturesProvider``'``
| __iro__ = ``(`<InterfaceClass pyxmpp.interfaces.IFeaturesProvider`...``
| __name__ = ``'``IFeaturesProvider``'``
| __sro__ = ``(`<InterfaceClass pyxmpp.interfaces.IFeaturesProvider`...``
| _implied = ``{`<InterfaceClass pyxmpp.interfaces.IFeaturesProvide`...``
| dependents = `<WeakKeyDictionary at 141765324>`
Inherited from `zope.interface.Interface` (private): `_Element__tagged_values`

Class Variable Details | [hide private]

### _InterfaceClass__attrs

Value:

      {'get_features': <zope.interface.interface.Method object at 0x8732b4c>
      }

### __iro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IFeaturesProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### __sro__

Value:

      (<InterfaceClass pyxmpp.interfaces.IFeaturesProvider>,
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>,
       <InterfaceClass zope.interface.Interface>)

### _implied

Value:

      {<InterfaceClass pyxmpp.interfaces.IFeaturesProvider>: (),
       <InterfaceClass pyxmpp.interfaces.IPyXMPPHelper>: (),
       <InterfaceClass zope.interface.Interface>: ()}